Subject: Re: bug#46802: grep (GNU grep) 3.6 RexEx range reversed.

From: Paul Eggert <[email-masked]>
Date: Fri, 26 Feb 2021 12:20:41 -0800

On 2/26/21 9:29 AM, Georgi K. wrote:
>    My installation of grep thinks [a-Z] is a valid range, while [A-z] is not.

That's because 'a' collates before 'Z' in your locale, but 'A' does not 
collate before 'z'. If that's not what you want you can change your 
locale, e.g., by setting LC_ALL="C" in your environment.